CentOS 8: python3 (CESA-2022: 1986)

high Nessus プラグイン ID 160950

概要

リモートの CentOS ホストに 1 つ以上のセキュリティ更新プログラムが欠落しています。

説明

リモートの CentOS Linux 8 ホストにインストールされているパッケージは、CESA-2022: 1986 アドバイザリに記載されている複数の脆弱性の影響を受けます。

- python:urllib:100 Continue 応答時の HTTP クライアント無限ループの可能性 (CVE-2021-3737)

- python:ftplib は PASV 応答のホストを使用すべきではありません(CVE-2021-4189)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/errata/RHSA-2022:1986

プラグインの詳細

深刻度: High

ID: 160950

ファイル名: centos8_RHSA-2022-1986.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/5/10

更新日: 2022/5/10

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: High

Base Score: 7.1

Temporal Score: 5.3

ベクトル: AV:N/AC:M/Au:N/C:N/I:N/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-3737

CVSS v3

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:centos:centos:8-stream, p-cpe:/a:centos:centos:platform-python, p-cpe:/a:centos:centos:platform-python-debug, p-cpe:/a:centos:centos:platform-python-devel, p-cpe:/a:centos:centos:python3-idle, p-cpe:/a:centos:centos:python3-libs, p-cpe:/a:centos:centos:python3-test, p-cpe:/a:centos:centos:python3-tkinter

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/5/10

脆弱性公開日: 2021/9/20

参照情報

CVE: CVE-2021-3737, CVE-2021-4189

RHSA: 2022:1986

IAVA: 2021-A-0497